export declare const TypesData: {
    [key: string]: TypeData | TypeData[];
};
export interface TypeData {
    url?: string;
    components?: string;
    root?: string;
    type?: string;
    version?: string;
}
export interface ContentType {
    type: string;
    subtype?: string;
}
export declare function getAvailableTypes(): string[];
export declare function isSubtypesEnable(type: string): boolean;
export declare function getAvailableSubtypes(type: string): string[];
export declare function getSubtypeData(templateData: TypeData[], subtype: string, version?: string): TypeData;
export declare function getTemplateData({ type, subtype }: ContentType, template?: TypeData, version?: string): TypeData | TypeData[];
